<script lang="ts">
	import '$lib/styles/app.css';
	import YouFail from '$lib/components/YouFail.svelte';

	let showFail = false;
</script>

<div
	class="tw-flex tw-flex-col tw-h-screen tw-justify-end tw-bg-black sm:tw-p-6 tw-overflow-hidden"
>
	{#if showFail}
		<YouFail />
	{:else}
		<div class="tw-flex tw-flex-col tw-items-center tw-justify-center tw-gap-x-[56px]">
			<button
				class="tw-bg-[url('/btn-bg.svg')] tw-bg-contain tw-bg-center tw-bg-no-repeat tw-py-3 tw-px-14"
				on:click={() => (showFail = true)}
			>
				<span
					class="tw-bg-gradient-to-b tw-from-yellow-300 tw-to-red-700 tw-bg-clip-text tw-text-transparent tw-text-base tw-font-bold"
					>Show Fail</span
				>
			</button>
		</div>
	{/if}
</div>
